Summary:        Extended processing of command line options
Name:           perl-Getopt-Long
Version:        2.54
Release:        3%{?dist}
License:        GPLv2+ or Artistic
URL:            https://metacpan.org/release/Getopt-Long
Source0:        https://cpan.metacpan.org/authors/id/J/JV/JV/Getopt-Long-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(lib)
BuildRequires:  perl(constant) perl(Exporter) perl(overload) perl(strict)
BuildRequires:  perl(Text::ParseWords) perl(vars) perl(warnings)
Requires:       perl(overload) perl(Text::ParseWords)
Requires:       perl(Pod::Usage) >= 1.14
Provides:       perl(newgetopt.pl) = %{version}

BuildArch:      noarch

%description
This module implements an extended getopt function called GetOptions(), which parses the 
command line from @ARGV, recognizing and removing specified options and their possible 
values.  It supports to the syntax of POSIX command line options and comes with GNU 
extensions. In general, this means that options have long names rather than single letters, 
and are introduced with a double dash "--". Liked the traditional single-letter approach, 
it provides support for command line options binding, but it is not enabled by default.

%prep
%autosetup -n Getopt-Long-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.54-1
- Upgrade to upstream version 2.54
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 19 2022 Wang Guodong <gordonwwang@tencent.com> - 2.52-1
- package init.
